Subject: RE: [[email-masked]: Comments on NFSv4 rfc3010bis- 05 draft]

From: "Noveck, Dave" <[email-masked]>
Date: Tue, 28 Jan 2003 10:30:41 -0800

Dan Oscarsson wrote:
> RFC 3454 "stringprep" is fine for the attributes in the NFSv4 protocol,
> not for handling file names. 

Attributes?  All the names of the mandatory and recommended attributes in 
v4 are pure ascii so I don't see where all the stringprep stuff would have
any applicability at all.  I guess there is no absolute guarantee that 
would stay true in future minor versions but that's a really good bet.

Or are you talking about named attributes?  These are essentially filenames
in a special directory so if stringprep isn't good for filenames then
why would it be good for named attributes?